<%= render 'layouts/login_form' %>
<%= render 'layouts/register_form' %>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Shipwreck</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <%= link_to t('layout.home'), root_path, class: "nav-link" %>
      </li>
      <li class="nav-item">
        <%= link_to t('layout.about'), about_path, class: "nav-link" %>
      </li>
      <li class="nav-item">
        <%= link_to t('layout.manual'), manual_path, class: "nav-link" %>
      </li>
      <li class="nav-item">
        <%= link_to t('layout.play'), play_path, class: "nav-link user-link " + (user_signed_in? ? "" : 'disabled') %>
      </li>
    </ul>
    <%= form_with(model: resource, as: resource_name,
                 url: logout_path,
                 method: :delete,
                 html: {:id => "user_logout", data: { type: 'json' }, class: "form-inline my-2 my-lg-0 user-logged-in" + (user_signed_in? ? '' : ' hidden') }
        ) do |f| %>
      <%= f.submit t('layout.logout'), class: "btn btn-primary" %>
    <% end %>
    <ul id="user_login"  class="navbar-nav ml-auto user-logged-out <%= 'hidden' if user_signed_in? %>">
      <li class="nav-item">
        <span class="nav-link" data-toggle="modal" data-target="#login_form"><%= t('layout.login') %></span>
      </li>
      <li class="nav-item">
        <span class="nav-link" data-toggle="modal" data-target="#register_form"><%= t('layout.register') %></span>
      </li>
    </ul>
  </div>
</nav>